<html lang="en">
<head>
<title>Move - psgml</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="psgml">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Edit.html#Edit" title="Edit">
<link rel="prev" href="Indent.html#Indent" title="Indent">
<link rel="next" href="Attributes.html#Attributes" title="Attributes">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Move"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Attributes.html#Attributes">Attributes</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Indent.html#Indent">Indent</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Edit.html#Edit">Edit</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">8.5 Move in the element structure</h3>

<p>These commands move in the element structure.  The commands uses
knowledge of SGML syntax, and if available the specific DTD.

     
<a name="index-C_002dM_002da-104"></a>
<a name="index-sgml_002dbeginning_002dof_002delement-105"></a>
<dl><dt><kbd>C-M-a</kbd><dd>Move to the (content) beginning of the current element
(<code>sgml-beginning-of-element</code>).

     <p><a name="index-C_002dM_002de-106"></a><a name="index-sgml_002dend_002dof_002delement-107"></a><br><dt><kbd>C-M-e</kbd><dd>Move to the (content) end of the current element (<code>sgml-end-of-element</code>).

     <p><a name="index-C_002dM_002df-108"></a><a name="index-sgml_002dforward_002delement-109"></a><br><dt><kbd>C-M-f</kbd><dd>Move forward by element (<code>sgml-forward-element</code>).

     <p><a name="index-C_002dM_002db-110"></a><a name="index-sgml_002dbackward_002delement-111"></a><br><dt><kbd>C-M-b</kbd><dd>Move backward by element (<code>sgml-backward-element</code>).

     <p><a name="index-C_002dM_002du-112"></a><a name="index-sgml_002dbackward_002dup_002delement-113"></a><br><dt><kbd>C-M-u</kbd><dd>Move up to before current element (<code>sgml-backward-up-element</code>).

     <p><a name="index-C_002dc-C_002dn-114"></a><a name="index-sgml_002dup_002delement-115"></a><br><dt><kbd>C-c C-n</kbd><dd>Move up to after current element (<code>sgml-up-element</code>).

     <p><a name="index-C_002dM_002dd-116"></a><a name="index-sgml_002ddown_002delement-117"></a><br><dt><kbd>C-M-d</kbd><dd>Move down to the (content) beginning of the next element
(<code>sgml-down-element</code>).

     <p><a name="index-C_002dc-C_002dd-118"></a><a name="index-sgml_002dnext_002ddata_002dfield-119"></a><br><dt><kbd>C-c C-d</kbd><dd>Move to the next place where data is allowed (<code>sgml-next-data-field</code>). 
</dl>

   <p>You can also move to the next place where there is some structural error
with <kbd>C-c C-o</kbd> (see <a href="Validate.html#Validate">Validate</a>).

<!--  -->
</body></html>

